Subject: bug#37883: 27.0.50; read-file-name: Scrambled INITIAL

From: Michael Heerdegen <[email-masked]>
Date: Wed, 23 Oct 2019 14:40:38 +0200

Andreas Schwab <[email-masked]> writes:

> > in emacs -Q (with default-directory -> ~/)
> >
> >   (read-file-name-default "File: " nil nil nil "~/.bash_history" nil)
> >
> > prompts with default minibuffer contents "/:~/~/.bash_history".  No part
> > of that is shadowed (to indicate which part is meaningful).  Without
> > fully understanding how the initial contents are calculated, it doesn't
> > seem very useful with the doubled ~/.  Why can't INITIAL be used
> > literally?
>
> I think INITIAL is supposed to be a file name component, not a full file
> name.  (The manual also discourages the use of INITIAL.)

I have no clue.  The manual describes INITIAL as "initial file name".

I think the INITIAL arg can be casually useful.  In my case I'm setting
the value of a (file name valued) widget with the current value as
INITIAL value which feels quite natural (or, would feel, if it worked as
I expect).

Regards,

Michael.